SPI_prepare_params
Prev | Up | 46.1. Interface Functions | Home | Next

## SPI_prepare_params

SPI_prepare_params — prepare a statement, without executing it yet

## Synopsis

    SPIPlanPtr SPI_prepare_params(const char * command,
                                  ParserSetupHook parserSetup,
                                  void * parserSetupArg,
                                  int cursorOptions)

## Description

`SPI_prepare_params` creates and returns a prepared statement for the specified command, but doesn't execute the command. This function is equivalent to `SPI_prepare_cursor`, with the addition that the caller can specify parser hook functions to control the parsing of external parameter references.

## Arguments

`const char * `command``

  command string

`ParserSetupHook `parserSetup``

  Parser hook setup function

`void * `parserSetupArg``

  pass-through argument for `parserSetup`

`int `cursorOptions``

  integer bit mask of cursor options; zero produces default behavior

## Return Value

`SPI_prepare_params` has the same return conventions as `SPI_prepare`.

Prev | Up | Next
SPI_prepare_cursor | Home | SPI_getargcount